Skip navigation

File requests

Collect files from external users.

File requests

Create file request

POST https://api.kinescope.io/v1/file-requests

Creates a new file request. Returns the newly created object on success.

FieldTypeDescription
titlestringRequest title.
descriptionstringFree-form description shown to the uploader.
uploading_location_iduuidProject or folder the uploaded files land in.
expired_atdatetime, nullableWhen the request stops accepting uploads. null — no expiry.
Request body (json)
{
  "title": "Title",
  "description": "Description",
  "uploading_location_id": "aUXVrK41BmeNVwyxQ4at6x",
  "expired_at": null
}
Responses
{
  "data": {
    "id": "4LPmdVVrEVvRBZWh4uAV6K",
    "workspace_id": "jjGZ6gbAhANmv461rR9MSM",
    "title": "Title",
    "description": "Description",
    "uploading_location_id": "aUXVrK41BmeNVwyxQ4at6x",
    "expired_at": null,
    "created_by": null,
    "created_at": "2021-11-10T16:08:00.086941Z",
    "updated_at": null,
    "archived_at": null,
    "user_count": 0,
    "media_count": 0
  }
}

List file requests

GET https://api.kinescope.io/v1/file-requests

Returns a list of file requests. Results are paginated and can be filtered via query parameters.

Responses
{
  "meta": {
    "offset": 0,
    "limit": 10,
    "total": 7,
    "total_count": 0,
    "order": {
      "title": "asc"
    },
    "parent_id": null
  },
  "data": [
    {
      "id": "<UUID>",
      "workspace_id": "<UUID>",
      "title": "test",
      "description": "",
      "uploading_location_id": "<UUID>",
      "expired_at": null,
      "created_by": "Example User",
      "created_at": "2024-11-15T07:39:16.772084Z",
      "updated_at": null,
      "archived_at": null,
      "user_count": 2,
      "media_count": 3,
      "url": "https://kinescope.io/request/<UUID>"
    },
    {
      "id": "<UUID>",
      "workspace_id": "<UUID>",
      "title": "Sample title",
      "description": "Sample description",
      "uploading_location_id": "<UUID>",
      "expired_at": null,
      "created_by": "Example User",
      "created_at": "2025-11-20T09:04:12.850561Z",
      "updated_at": null,
      "archived_at": null,
      "user_count": 1,
      "media_count": 1,
      "url": "https://kinescope.io/request/<UUID>"
    },
    {
      "id": "<UUID>",
      "workspace_id": "<UUID>",
      "title": "For speaker number one",
      "description": "upload files to a specific folder",
      "uploading_location_id": "<UUID>",
      "expired_at": null,
      "created_by": "Example User",
      "created_at": "2021-11-11T19:10:23.209681Z",
      "updated_at": "2022-03-24T13:20:20.317128Z",
      "archived_at": null,
      "user_count": 10,
      "media_count": 13,
      "url": "https://kinescope.io/request/<UUID>"
    },
    {
      "id": "<UUID>",
      "workspace_id": "<UUID>",
      "title": "Draft title",
      "description": "Draft description",
      "uploading_location_id": "<UUID>",
      "expired_at": null,
      "created_by": "Example User",
      "created_at": "2024-09-12T07:39:47.404116Z",
      "updated_at": null,
      "archived_at": null,
      "user_count": 0,
      "media_count": 0,
      "url": "https://kinescope.io/request/<UUID>"
    },
    {
      "id": "<UUID>",
      "workspace_id": "<UUID>",
      "title": "test",
      "description": "",
      "uploading_location_id": "<UUID>",
      "expired_at": null,
      "created_by": "Example User",
      "created_at": "2024-05-28T09:24:08.291024Z",
      "updated_at": null,
      "archived_at": null,
      "user_count": 0,
      "media_count": 0,
      "url": "https://kinescope.io/request/<UUID>"
    },
    {
      "id": "<UUID>",
      "workspace_id": "<UUID>",
      "title": "test",
      "description": "",
      "uploading_location_id": "<UUID>",
      "expired_at": null,
      "created_by": "Example User",
      "created_at": "2022-01-21T15:10:25.15006Z",
      "updated_at": null,
      "archived_at": null,
      "user_count": 0,
      "media_count": 0,
      "url": "https://kinescope.io/request/<UUID>"
    },
    {
      "id": "<UUID>",
      "workspace_id": "<UUID>",
      "title": "Test 2",
      "description": "",
      "uploading_location_id": "<UUID>",
      "expired_at": null,
      "created_by": "Example User",
      "created_at": "2022-01-21T15:51:37.351205Z",
      "updated_at": "2023-11-16T13:06:05.528159Z",
      "archived_at": null,
      "user_count": 1,
      "media_count": 3,
      "url": "https://kinescope.io/request/<UUID>"
    }
  ]
}

Get file request

GET https://api.kinescope.io/v1/file-requests/:file_request_id

Retrieves the details of a single file request by its unique ID.

Responses
{
  "data": {
    "id": "<UUID>",
    "workspace_id": "<UUID>",
    "title": "test",
    "description": "",
    "uploading_location_id": "<UUID>",
    "expired_at": null,
    "created_by": "Example User",
    "created_at": "2024-11-15T07:39:16.772084Z",
    "updated_at": null,
    "archived_at": null,
    "user_count": 2,
    "media_count": 3,
    "url": "https://kinescope.io/request/<UUID>"
  }
}
{
  "error": {
    "code": 400404,
    "message": "not found"
  }
}

Update file request

PUT https://api.kinescope.io/v1/file-requests/:file_request_id

Updates the specified file request. Only fields provided in the request body are changed; others are left unchanged.

FieldTypeDescription
titlestringRequest title.
descriptionstringFree-form description shown to the uploader.
uploading_location_iduuidProject or folder the uploaded files land in.
expired_atdatetime, nullableWhen the request stops accepting uploads. null — no expiry.
Request body (json)
{
  "title": "Rename request",
  "uploading_location_id": "eR9N13hPU2vynDwJxrwoyP",
  "expired_at": null,
  "archived": false
}
Responses
{
  "data": {
    "id": "nmy77cZuc1TABAUZHCfoms",
    "workspace_id": "4yE327XRe7zqfXe4doV7mu",
    "name": "Rename request",
    "uploading_location_id": "eR9N13hPU2vynDwJxrwoyP",
    "expired_at": null,
    "created_at": "2021-11-06T14:23:07.466584Z",
    "updated_at": "2021-11-06T15:19:33.767551Z",
    "archived_at": null,
    "user_count": 0,
    "media_count": 0
  }
}

Delete file request

DELETE https://api.kinescope.io/v1/file-requests/:file_request_id

Permanently deletes the file request. This action cannot be undone.

Responses
{
  "data": {
    "success": true
  }
}